/* 引入 Roboto（英文）表單頁已有載入這邊不再載入一次
@import url('https://fonts.googleapis.com/css2?family=Roboto&display=swap');*/

body {
    font-size: 1rem;
    background-color: #f8faff;
    line-height: 150%;
    font-family: 'Roboto', 'Noto Sans CJK TC', sans-serif;
    font-weight: 400;
    color: #323232;
}

input[type=text], .carousel {
    border-radius: 8px;
}


.shadow {
    box-shadow: 0 .5rem 15px rgba(0, 0, 0, 7%) !important;
}
.border {
    border: 1px solid #efefef !important;
}
.g-2, .gx-2 {
    --bs-gutter-x: 12px;
}

.g-2, .gy-2 {
    --bs-gutter-y: 12px;
}

.label-name {
    color: #757575;
}


.fs-1 {
    font-size: 1.375rem !important;
    font-weight: bold;
}

.fs-2 {
    font-size:1.325rem !important;
    font-weight: bold;
}

.fs-3 {
    font-size: 1.3rem !important;
}

.fs-4 {
    font-size: 1.275rem !important;
}

.fs-5 {
    font-size: 1.25rem !important;
}

.fs-6 {
    font-size: 1rem !important;
    font-weight:normal !important;
}

.fs-7, caption {
    font-size: 0.875rem !important;
}

p {
    font-size: 1rem !important;
    padding: 0;
    margin: 0;
}

.form-control, .form-label, .form-select {
    font-size:  1rem !important;
    border-radius: 8px !important;
}

.input-group:not(.has-validation)>.dropdown-toggle:nth-last-child(n+3), .input-group:not(.has-validation)>:not(:last-child):not(.dropdown-toggle):not(.dropdown-menu) {
    border-top-right-radius: 0 !important;
    border-bottom-right-radius: 0 !important;
}

.rounded-40 {
    border-radius: 40px !important;
}

.rounded-20 {
    border-radius: 20px !important;
}

.rounded-16 {
    border-radius: 16px !important;
}

.rounded-8 {
    border-radius: 8px !important;
}



/*If must local fonts
@font-face {
    font-family: 'Noto Sans CJK TC';
    src: url('../fonts/NotoSansCJK-wght-400-900.ttf.woff2') format('woff2'),
        url('../fonts/NotoSansCJK-wght-400-900.ttf.woff') format('woff');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'Roboto';
    src: url('../fonts/roboto-regular.woff2') format('woff2');
    font-weight: normal;
    font-style: normal;
}*/

/*btn*/

.btn {
    border-radius: 40px;
    font-size: 1rem;
    font-weight: normal;
}


.btn-sm {
    font-size: 0.875rem !important;
    font-weight: normal;
}

.btn-lg{
    font-size: 1.25rem !important;
    font-weight: bold;
}

.notify, .account{
    display: inline-block;
    width:40px;
    height: 40px;
    line-height: 40px;
    border-radius: 50%;
    padding: 0 .25rem;
    overflow-wrap: break-word;
    vertical-align: middle;
    text-align: center;
}
.notify::after{
    content: "";
    display: inline-block;
    vertical-align: middle;
    width:21px;
    height:21px;
    background-repeat: no-repeat;
    background-size: 100%;
    background-image: url(../images/bell-fill.svg);
}

/*new color 2025*/

.btn-primary {
    background-color: #6764F0;
    color: #ffffff;
    border-color: #6764F0;
}

.btn-primary:hover {
    color: #fff;
    background-color: #4c44ea;
    border-color: #4c44ea;
}


.btn-check:focus+.btn-primary, .btn-primary:focus {
    color: #fff;
    background-color: #3f2fd1;
    border-color: #3f2fd1;
    box-shadow: 0 0 0 .25rem rgba(49, 63, 253, 0.5);

}

.btn-check:focus+.btn, .btn:focus {
    outline: 0;
    box-shadow: 0 0 0 .25rem rgba(49, 63, 253, 0.5);
}

.btn-secondary {
    background-color: #e3e7ff;
    color: #6764F0;
    border-color: #e3e7ff;
}

.btn-secondary:hover {
    color: #4c44ea;
    background-color: #bec7ff;
    border-color: #bec7ff;
}

.btn-check:focus+.btn-secondary, .btn-secondary:focus {
    color: #3f2fd1;
    background-color: #a0a1ff;
    border-color: #a0a1ff;
    box-shadow: 0 0 0 .25rem rgba(164, 170, 252, 0.5);

}

.btn-outline-check:focus+.btn-secondary, .btn-secondary:focus {
    color: #3f2fd1;
    background-color: #a0a1ff;
    border-color: #a0a1ff;
    box-shadow: 0 0 0 .25rem rgba(164, 170, 252, 0.5);

}

.btn-outline-secondary {
    background-color: #ffffff;
    color: #6764F0;
    border: 2px solid #9796ff;
}

.btn-outline-secondary:hover {
    background-color: #e3e7ff;
    color: #6764F0;
    border: 2px solid #9796ff;
}

.btn-check:active+.btn-outline-secondary, .btn-check:checked+.btn-outline-secondary, .btn-outline-secondary.active, .btn-outline-secondary.dropdown-toggle.show, .btn-outline-secondary:active {
    background-color: #6764F0;
    color: #ffffff;
    border-color: #6764F0;
}


.btn-outline-primary {
    background-color: #e3e7ff;
    color: #6764F0;
    border: 2px solid #c5cdff;
}

.btn-outline-primary:hover {
    color: #4c44ea;
    background-color: #bec7ff;
    border: 2px solid #c5cdff;
}

.btn-check:focus+.btn-outline-primary, .btn-outline-primary:focus {
    color: #fff;
    background-color: #3f2fd1;
    border-color: #3f2fd1;
    box-shadow: 0 0 0 .25rem rgba(49, 63, 253, 0.5);

}


.btn-check:active+.btn-primary, .btn-check:checked+.btn-primary, .btn-primary.active, .btn-primary:active, .show>.btn-primary.dropdown-toggle {
    color: #fff;
    background-color: #3f2fd1;
    border-color: #3f2fd1;
}

.btn-check:active+.btn-outline-primary, .btn-check:checked+.btn-outline-primary, .btn-outline-primary.active, .btn-outline-primary:active, .show>.btn-outline-primary.dropdown-toggle {
    color: #fff;
    background-color: #3f2fd1;
    border-color: #3f2fd1;
}



.btn-tertiary {
    background-color: #87D2E3;
    color: #ffffff;
    border-color: #87D2E3;
}

.btn-tertiary:hover {
    background-color: #53b1cd;
    color: #ffffff;
    border-color: #53b1cd;
}

.btn-check:focus+.btn-tertiary, .btn-tertiary:focus {
    background-color: #53b1cd;
    color: #ffffff;
    border-color: #53b1cd;
    box-shadow: 0 0 0 .25rem rgba(164, 234, 252, 0.5);

}

.btn-tertiary-o {
    background-color: #E7F6FA;
    color: #53B1CD;
    border-color: #E7F6FA;
}

.btn-tertiary-o:hover {
    background-color: #E7F6FA;
    color: #53B1CD;
    border-color: #E7F6FA;
}

.btn-check:focus+.btn-tertiary-o, .btn-tertiary-o:focus {
    background-color: #E7F6FA;
    color: #53B1CD;
    border-color: #E7F6FA;
    box-shadow: 0 0 0 .25rem rgba(164, 234, 252, 0.5);

}

.btn-primary.disabled, .btn-primary:disabled, .btn-secondary.disabled, .btn-secondary:disabled, .btn-tertiary.disabled, .btn-tertiary:disabled {
    color: #fff;
    background-color: #9b9b9b;
    border-color: #9b9b9b;
}

.btn-primary-sm, .btn-secondary-sm {
    width: 144px;
}

.btn-text-primary {
    color: #6764F0;
}

.btn-text-primary:hover {
    color: #4c44ea;
}

.btn-text-secondary {
    color: #8c89f1;
}

.btn-text-secondary:hover {
    color: #8c89f1;
    background-color: #eaeafd;
}

.btn-text-primary.disabled, .btn-text-primary:disabled, .btn-text-secondary.disabled, .btn-text-secondary:disabled {
    color: #bdbdbd;
}

.btn-disabled {
    background-color: #bdbdbd;
    color: #ffffff;
}

/*background-color*/

.bg-purple {
    background-color: #F8FAFF;
}

.bg-primary-50 {
    background-color: #eaeafd;
}

.bg-primary-500 {
    background-color: #4c44ea;
}

.bg-secondary-700 {
    background-color: #8c89f1;
}

.bg-secondary-600 {
    background-color: #9796ff;
}

.bg-secondary-500 {
    background-color: #a0a1ff;
}

.bg-secondary-50 {
    background-color: #f5f6ff;
}

.bg-tertiary-50 {
    background-color: #E7F6FA;
}

.bg-tertiary-500 {
    background-color: #3697b4;
}

.bg-tertiary-700 {
    background-color: #53b1cd;
}

.bg-yellow-50 {
    background-color: #FEF9E5;
}

.bg-yellow-100 {
    background-color: #FBF1C5;
}

.bg-yellow-500 {
    background-color: #f1d046;
}

.bg-darkblue-500 {
    background-color: #1F2A52;
}

.bg-darkblue-50 {
    background-color: #F1F2F5;
}

/*text*/
.h1, .h2, .h3, .h4, .h5 {
    color: #1F2A52;
    font-weight: bold;
}

.h6, p {
    color: #323232;
}
p{line-height: 2.4;}

.text-primary {
    color: #1F2A52 !important;
}

.progress-doc{ color: #1F2A52 !important;}

.text-secondary {
    color: #323232 !important;
}

.text-tertiary {
    color: #757575 !important;
}

.text-tertiary-300 {
    color: #87D2E3;
}

.primary-200 {
    color: #A7A6F7;
}

.primary-400 {
    color: #6764F0;
}

.primary-500 {
    color: #4c44ea;
}

.neutral-600 {
    color: #757575;
}

.neutral-500 {
    color: #9E9E9E;
}

.neutral-400 {
    color: #BDBDBD;
}

.neutral-300 {
    color: #E0E0E0;
}

.neutral-200 {
    color: #EEEEEE;
}

.secondary-800 {
    color: #847EE4;
}

.disabled {
    color: #bdbdbd;
}

.text-danger {
    color: #E53F34 !important;
}

.text-info {
    color: #53b1cd !important;
}

/*input*/

.form-control:disabled, .form-control:read-only {
    color: #757575 !important;
    background-color: #EEEEEE !important;
    opacity: 1;
}

.accordion-arrow {
    position: relative;
    display: flex;
    align-items: center;
    font-size: 1rem;
    text-align: left;
    border: 0;
    background: none;
    border-radius: 0;
    transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out,
        border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out, border-radius 0.15s ease;
}

/* 預設箭頭（收合狀態，向下） */
.accordion-arrow::after {
    content: "";
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='%238c89f1' viewBox='0 0 16 16'%3E%3Cpath fill-rule='evenodd' d='M1.646 4.646a.5.5 0 0 1 .708 0L8 10.293l5.646-5.647a.5.5 0 0 1 .708.708l-6 6a.5.5 0 0 1-.708 0l-6-6a.5.5 0 0 1 0-.708'/%3E%3C/svg%3E");
    background-repeat: no-repeat;
    display: inline-block;
    background-size:30px 30px;
    font-weight: bold;
    border-radius: 1rem;
    width:30px;
    height: 30px;
    color: #7e7e85;
    transition: transform 0.2s ease-in-out;
}

/* 展開時箭頭方向 */
.accordion-arrow.collapsed::after {
    transform: rotate(-180deg);
    /* 旋轉箭頭指向上 */
}

/* 預設箭頭樣式 */
.accordion-arrow .arrow-icon {
    display: inline-block;
    transition: transform 0.3s ease;
}

/* 用 collapse 的 .show 來判斷是否展開 */
#collapseA:not(.show)+.arrow-wrapper .accordion-arrow .arrow-icon {
    transform: rotate(-90deg);
}

.circle-step {
    font-size: 0.875rem;
    width: 36px;
    height: 36px;
    line-height: 32px;
    text-align: center;
    display: inline-block;
    background-color: #8C89F1;
    color: #ffffff;
    border: 2px solid #8C89F1;
}

.disabled .circle-step {
    background-color: #ffffff;
    color: #A0A1FF;
    border: 2px solid #E3E7FF;
}

.nav-link {
    color: #323232;
    text-align: center;
}

.nav-link.disabled {
    color: #323232;
}

.nav-step {
    align-items: top;
}

.timeline {
    display: inline-block;
    border-top: 2px solid #E3E7FF;
    margin-top: 25px;
}

.form-control {
    border: 1px solid #E0E0E0;
}

.form-control:focus {
    color: #212529;
    background-color: #fff;
    border-color: #A7A6F7;
    outline: 0;
    box-shadow: 0 0 0 .25rem rgba(255, 255, 255, 0.25)
}

.form-select:focus {
    border-color: #A7A6F7;
    outline: 0;
    box-shadow: 0 0 0 .25rem rgba(255, 255, 255, 0.25)
}

.form-check-input:focus {
    border-color: #A7A6F7;
    outline: 0;
    box-shadow: 0 0 0 .25rem rgba(255, 255, 255, 0.25)
}

.form-check-input {
    width: 1em;
    height: 1em;
    margin-top: 0.15em;
}

.form-check-input:checked {
    background-color: #ffffff;
    border-color: #6764F0;
}

.form-check-input:checked[type=radio] {
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='-4 -4.1 7.9 8'%3e%3ccircle r='2.5' fill='%236764F0'/%3e%3c/svg%3e")
}


.form-check-input:checked[type=checkbox] {
    background-color: #6764F0;
    border-color: #6764F0;
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 20 20'%3e%3cpath fill='none' stroke='%23fff' stroke-linecap='round' stroke-linejoin='round' stroke-width='3' d='M6 10l3 3l6-6'/%3e%3c/svg%3e")
}

.form-check-input[type=checkbox]:indeterminate {
    background-color: #6764F0;
    border-color: #6764F0;
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 20 20'%3e%3cpath fill='none' stroke='%23fff' stroke-linecap='round' stroke-linejoin='round' stroke-width='3' d='M6 10h8'/%3e%3c/svg%3e")
}

.table>:not(:last-child)>:last-child>* {
    border-bottom: 1px solid #d2d2d2;
}

/*reserve*/

.theMonth {
    background-color: #eaeafd;
    text-align: center;
}

.tableCalendar th,
.tableCalendar tr td {
    text-align: center;
}

.d-cell {
    cursor: pointer;
    border-radius: 40px;
    padding: 8px 0 !important;
}

.d-click {
    cursor: pointer;
    display: inline-block;
    text-align: center;
    vertical-align: middle;
    overflow: hidden;
    text-decoration: none;
    border-radius: 40px;
    padding: 6px;
}

.d-click:hover {
    background-color: #eaeafd;
    border-radius: 40px;
}

.d-cell .d-notopen,
.d-notopen {
    background-color: #E0E0E0;
    color: #9E9E9E;
}

.d-cell .d-full,
.d-full {
    background-color: #eaeafd;
    color: #4C44EA;
}

.d-cell .d-select,
.d-select {
    background-color: #6764F0;
    color: #ffffff;
    border-radius: 40px;
}


.date-info {
    display: inline-block;
    vertical-align: middle;
    width: 16px;
    height: 16px;
    margin: .25rem;
    border-radius: 3px;
}

.date-full {
    background-color: #eaeafd;
}

.date-notopen {
    background-color: #E0E0E0;
}

.date-reserve {
    background-color: #ffffff;
    border: 1px solid #bdbdbd;
}

.date-select {
    background-color: #6764F0;
}

.time-select label {
    width: 100%;
    height: 100%;
}

.alert-warning {
    color: #3697B4;
    background-color: #E7F6FA;
    border-color: #E7F6FA;
    line-height: 1.5;
    border-radius: 8px;
}

.alert-danger {
    color: #3697B4;
    background-color: #E7F6FA;
    border-color: #E7F6FA;
    line-height: 1.5;
    border-radius: 8px;
    padding: 8px;
}

.alert-dismissible{
    background-color: #fff4f4;
    border: 1px solid #f7e2e2;
}

/*驗證*/


.form-control.is-valid,
.was-validated .form-control:valid {
  border-color: #A7A6F7;
  padding-right: calc(1.5em + .75rem);
  background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='%236764F0'%3E%3Cpath d='M12.736 3.97a.733.733 0 0 1 1.047 0c.286.289.29.756.01 1.05L7.88 12.01a.733.733 0 0 1-1.065.02L3.217 8.384a.757.757 0 0 1 0-1.06.733.733 0 0 1 1.047 0l3.052 3.093 5.4-6.425z'/%3E%3C/svg%3E");
  background-repeat: no-repeat;
  background-position: right calc(.375em + .1875rem) center;
  background-size: calc(.75em + .375rem) calc(.75em + .375rem);
}

.form-control.is-valid:focus,
.was-validated .form-control:valid:focus {
  border-color: #A7A6F7;
  box-shadow: 0 0 0 0.25rem rgba(255, 255, 255, 0.25);
}

.valid-feedback,
.valid-tooltip {
  color: #6764F0;
  font-size: 1rem;
}

.form-control.is-valid:focus, .was-validated .form-control:valid:focus {
    border-color: #A7A6F7;
    box-shadow: 0 0 0 .25rem rgba(255, 255, 255, 0.25);
}

.valid-feedback {
    display: none;
    width: 100%;
    margin-top: .25rem;
    font-size: .875em;
    color: #A7A6F7;
}

.valid-tooltip {
    position: absolute;
    top: 100%;
    z-index: 5;
    display: none;
    max-width: 100%;
    padding: .25rem .5rem;
    margin-top: .1rem;
    font-size: .875rem;
    color: #fff;
    background-color: rgba(255, 255, 255, 0.9);
    border-radius: .25rem
}

.is-valid~.valid-feedback,
.is-valid~.valid-tooltip,
.was-validated :valid~.valid-feedback,
.was-validated :valid~.valid-tooltip {
    display: block

}

.was-validated textarea.form-control:valid,
textarea.form-control.is-valid {
    padding-right: calc(1.5em + .75rem);
    background-position: top calc(.375em + .1875rem) right calc(.375em + .1875rem)
}

.form-select.is-valid,
.was-validated .form-select:valid {
    border-color: #A7A6F7;
}

.form-select.is-valid:not([multiple]):not([size]),
.form-select.is-valid:not([multiple])[size="1"],
.was-validated .form-select:valid:not([multiple]):not([size]),
.was-validated .form-select:valid:not([multiple])[size="1"] {
    padding-right: 4.125rem;
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='%236764F0'%3E%3Cpath d='M12.736 3.97a.733.733 0 0 1 1.047 0c.286.289.29.756.01 1.05L7.88 12.01a.733.733 0 0 1-1.065.02L3.217 8.384a.757.757 0 0 1 0-1.06.733.733 0 0 1 1.047 0l3.052 3.093 5.4-6.425z'/%3E%3C/svg%3E");
    background-position: right .75rem center, center right 2.25rem;
    background-size: calc(.75em + .375rem) calc(.75em + .375rem);
}

.form-select.is-valid:focus,
.was-validated .form-select:valid:focus {
    border-color: #A7A6F7;
    box-shadow: 0 0 0 .25rem rgba(25, 135, 84, .25)
}

.form-check-input.is-valid,
.was-validated .form-check-input:valid {
    border-color: #A7A6F7;
}

.form-check-input.is-valid:checked,
.was-validated .form-check-input:valid:checked {
    background-color: #A7A6F7;
}

.form-check-input.is-valid:focus,
.was-validated .form-check-input:valid:focus {
    box-shadow: 0 0 0 .25rem rgba(255, 255, 255, 0.25)
}

.form-check-input.is-valid~.form-check-label,
.was-validated .form-check-input:valid~.form-check-label {
    color: #A7A6F7;
}

.form-control.is-invalid,
.was-validated .form-control:invalid {
  border-color: #e7564d;
  padding-right: calc(1.5em + .75rem);
  background-image: none;
  /*background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='%23dc3545'%3E%3Cpath d='M4.646 4.646a.5.5 0 0 1 .708 0L8 7.293l2.646-2.647a.5.5 0 0 1 .708.708L8.707 8l2.647 2.646a.5.5 0 0 1-.708.708L8 8.707l-2.646 2.647a.5.5 0 0 1-.708-.708L7.293 8 4.646 5.354a.5.5 0 0 1 0-.708z'/%3E%3C/svg%3E");
  background-repeat: no-repeat;
  background-position: right calc(.375em + .1875rem) center;
  background-size: calc(.75em + .375rem) calc(.75em + .375rem);*/
}

.invalid-feedback {
    display: block;
    width: 100%;
    margin-top: .25rem;
    font-size: .875em;
    color: #e7564d;
}

.invalid-tooltip {
    position: absolute;
    top: 100%;
    z-index: 5;
    display: none;
    max-width: 100%;
    padding: .25rem .5rem;
    margin-top: .1rem;
    font-size: .875rem;
    color: #fff;
    background-color: rgba(255, 255, 255, 0.9);
    border-radius: .25rem
}

.is-invalid~.invalid-feedback,
.is-invalid~.invalid-tooltip,
.was-validated :invalid~.invalid-feedback,
.was-validated :invalid~.invalid-tooltip {
    display: block
}

.form-control.is-invalid:focus,
.was-validated .form-control:invalid:focus {
    border-color: #e7564d;
    box-shadow: 0 0 0 .25rem rgba(255, 255, 255, 0.25)
}

.was-validated textarea.form-control:invalid,
textarea.form-control.is-invalid {
    padding-right: calc(1.5em + .75rem);
    background-position: top calc(.375em + .1875rem) right calc(.375em + .1875rem)
}

.form-select.is-invalid,
.was-validated .form-select:invalid {
    border-color: #e7564d;
}

.form-select.is-invalid:not([multiple]):not([size]),
.form-select.is-invalid:not([multiple])[size="1"],
.was-validated .form-select:invalid:not([multiple]):not([size]),
.was-validated .form-select:invalid:not([multiple])[size="1"] {
    padding-right: 4.125rem;
    background-image: none;
    background-position: right .75rem center, center right 2.25rem;
    background-size: 16px 12px, calc(.75em + .375rem) calc(.75em + .375rem)
}

.form-select.is-invalid:focus,
.was-validated .form-select:invalid:focus {
    border-color: #e7564d;
    box-shadow: 0 0 0 .25rem rgba(220, 53, 69, .25)
}

.form-check-input.is-invalid,
.was-validated .form-check-input:invalid {
    border-color: #e7564d;}

.form-check-input.is-invalid:checked,
.was-validated .form-check-input:invalid:checked {
    background-color: #e7564d;
}

.form-check-input.is-invalid:focus,
.was-validated .form-check-input:invalid:focus {
    box-shadow: 0 0 0 .25rem rgba(255, 255, 255, 0.25)
}

.form-check-input.is-invalid~.form-check-label,
.was-validated .form-check-input:invalid~.form-check-label {
    color: #e7564d;
}

.rounded{
    border-radius: 16px !important;
}

.new-nav{
    background-color: #EAEAFD;
    border-radius: 40px;
    
}

.new-nav .nav-link{
    color: #757575;
    border-radius: 40px;
    margin: .25rem;
    width: 100%;
}


.new-nav .active{
    background-color: #ffffff;
    color: #1F2A52;
    font-weight: bold;
  
}

.uploag-file .list-group-item:hover {
    background-color: #eaeafd;
}

.list-secondary{
    display: block;
    width: 100%;
    padding: .75rem;
    border-radius: 8px;
    background-color: #f1f2f5;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}

.list-secondary:hover{
    background-color: #eaeafd;
}